ValidationComplete (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.repair.messages

## Class ValidationComplete

- java.lang.Object
- - org.apache.cassandra.repair.messages.RepairMessage
  - - org.apache.cassandra.repair.messages.ValidationComplete

-     public class ValidationComplete
      extends RepairMessage

  ValidationComplete message is sent when validation compaction completed successfully.
  Since:
    2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.repair.messages.RepairMessage

      `RepairMessage.MessageSerializer<T extends RepairMessage>, RepairMessage.RepairMessageSerializer, RepairMessage.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RepairMessage.MessageSerializer` | `serializer`
    `boolean` | `success` true if validation success, false otherwise
    `MerkleTree` | `tree` Merkle hash tree response.

    - ### Fields inherited from class org.apache.cassandra.repair.messages.RepairMessage

      `desc, messageType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationComplete(RepairJobDesc desc)`
    `ValidationComplete(RepairJobDesc desc, MerkleTree tree)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.cassandra.repair.messages.RepairMessage

      `createMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static RepairMessage.MessageSerializer serializer

    - #### success

          public final boolean success

      true if validation success, false otherwise

    - #### tree

          public final MerkleTree tree

      Merkle hash tree response. Null if validation failed.

  - ### Constructor Detail

    - #### ValidationComplete

          public ValidationComplete(RepairJobDesc desc)

    - #### ValidationComplete

          public ValidationComplete(RepairJobDesc desc,
                                    MerkleTree tree)

Copyright © 2018 The Apache Software Foundation